Bug 1576111 (CVE-2018-10733) - CVE-2018-10733 libgxps: heap based buffer over read in ft_font_face_hash function of gxps-fonts.c
Summary: CVE-2018-10733 libgxps: heap based buffer over read in ft_font_face_hash func...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10733
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1576112 1576113 1591114 1591115
Blocks: 1576114
TreeView+ depends on / blocked
 
Reported: 2018-05-08 21:22 UTC by Laura Pardo
Modified: 2021-02-17 00:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:21:37 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 07:42:25 UTC

Description Laura Pardo 2018-05-08 21:22:03 UTC
A flaw was found in libgxps through 0.3.0. There is a heap-based buffer over-read in the function ft_font_face_hash of gxps-fonts.c. A crafted input will lead to a remote denial of service attack.


References:
https://bugzilla.redhat.com/show_bug.cgi?id=1574844

Patches:
https://git.gnome.org/browse/libgxps/commit/?id=b458226e162fe1ffe7acb4230c114a52ada5131b
https://git.gnome.org/browse/libgxps/commit/?id=133fe2a96e020d4ca65c6f64fb28a404050ebbfd

Comment 1 Laura Pardo 2018-05-08 21:22:24 UTC
Created libgxps tracking bugs for this issue:

Affects: fedora-all [bug 1576112]

Comment 4 Stefan Cornelius 2018-06-14 06:02:21 UTC
Acknowledgments:

Name: chenyuan (NESA Lab)

Comment 6 errata-xmlrpc 2018-10-30 07:42:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3140 https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.